#![no_std]
#![feature(allocator_api)]

/// Process representation.
pub mod process;
/// Memory regions, allocation, flags, and whatnot.
pub mod memory;
/// Panic handling function logic.
pub mod panic;
/// Boot services, handled by the Limine boot protocol.
pub mod boot;
/// Resources accessible from many parts of the code.
pub mod resources;

/// Architecture dependent.
pub mod arch;
